OpenTTD Source: EconomySettings Struct Reference

OpenTTD Source 1.11.0-RC1

Data Fields
EconomySettings Struct Reference

Settings related to the economy. More...

`#include <settings_type.h>`

## Data Fields
bool | inflation
| disable inflation
bool | bribe
| enable bribing the local authority
EconomyType | type
| economy type (original/smooth/frozen)
bool | allow_shares
| allow the buying/selling of shares
uint8 | min_years_for_shares
| minimum age of a company for it to trade shares
uint8 | feeder_payment_share
| percentage of leg payment to virtually pay in feeder systems
byte | dist_local_authority
| distance for town local authority, default 20
bool | exclusive_rights
| allow buying exclusive rights
bool | fund_buildings
| allow funding new buildings
bool | fund_roads
| allow funding local road reconstruction
bool | give_money
| allow giving other companies money
bool | mod_road_rebuild
| roadworks remove unnecessary RoadBits
bool | multiple_industry_per_town
| allow many industries of the same type per town
uint8 | town_growth_rate
| town growth rate
uint8 | larger_towns
| the number of cities to build. These start off larger and grow twice as fast
uint8 | initial_city_size
| multiplier for the initial size of the cities compared to towns
TownLayout | town_layout
| select town layout, More...
TownCargoGenMode | town_cargogen_mode
| algorithm for generating cargo from houses, More...
bool | allow_town_roads
| towns are allowed to build roads (always allowed when generating world / in SE)
TownFounding | found_town
| town founding.
bool | station_noise_level
| build new airports when the town noise level is still within accepted limits
uint16 | town_noise_population [3]
| population to base decision on noise evaluation ( More...
bool | allow_town_level_crossings
| towns are allowed to build level crossings
bool | infrastructure_maintenance
| enable monthly maintenance fee for owner infrastructure

## Detailed Description

Settings related to the economy.

Definition at line 482 of file settings_type.h.

## Field Documentation

## ◆ town_cargogen_mode

TownCargoGenMode EconomySettings::town_cargogen_mode

algorithm for generating cargo from houses,

See also
  TownCargoGenMode

Definition at line 500 of file settings_type.h.

## ◆ town_layout

TownLayout EconomySettings::town_layout

select town layout,

See also
  TownLayout

Definition at line 499 of file settings_type.h.

## ◆ town_noise_population

uint16 EconomySettings::town_noise_population[3]

population to base decision on noise evaluation (

See also
  town_council_tolerance)

Definition at line 504 of file settings_type.h.

Referenced by Town::MaxTownNoise().

The documentation for this struct was generated from the following file:

- src/settings_type.h